@charset "UTF-8";


/* mobile */
#mobilenav,
.menu,
.mobileOnly {
	content-visibility: hidden;
	display: none !important;
}


/* APPLICATION ------------------------------ */
.job-application .page-header .wrap {
	align-items: flex-end;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 0.75rem;
	justify-content: space-between;
	max-width: 62.5em;
}

.job-application .page-header .back {
	width: 100%;
}

.job-application .page-header h1:only-child {
	text-align: left;
	width: 100%;
}

.job-application .page-header button.job-title {
	color: var(--brand-dark);
	line-height: 1em;
	padding: 0;
	pointer-events: none;
	width: 100%;
}

.job-application .page-header button.job-title .back {
	display: none;
}

.job-application .page-header h1:not(:only-child) {
	max-width: calc(100% - 24rem);
	text-align: left;
}

.job-application .page-header .progress {
	flex-shrink: 0;
	gap: 0.5em;
	min-width: 22.0625rem;
}

.job-application .page-header .progress #pageNumber {
	font-size: 1.125em;
}

progress,
progress[value]::-webkit-progress-bar {
	border-radius: 0.5rem;
	height: 0.5rem;
}

.job-application #application {
    align-items: center;
    display: flex;
    flex-direction: column;
    gap: 2.5em;
    justify-content: space-between;
    margin: 0 auto;
    max-width: 62.5em;
}

.job-application .form-row,
.job-application .field-group .form-row,
.job-application .field-group .heading,
.job-application .field-group .paragraph {
	padding-left: 1em;
	padding-right: 1em;
}

.job-application .field-group,
.job-application .heading,
.job-application .paragraph,
.job-application .horizontal-rule {
	padding-left: 0;
	padding-right: 0;
}

.job-application .form-row:not(
	.field-group, 
	.text, 
	.heading,
	.paragraph,
	.horizontal-rule, 
	.add-another):is(:hover, :focus, :focus-within) {
	background: color-mix(in srgb, var(--brand-light) 25%, transparent);
}

.job-application .form-field {
	align-content: start;
    align-items: start;
    gap: 0.125em 2em;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
}

.job-application .form-field .question {
    grid-column: 1 / span 1;
	grid-row: 1 / span 3;
}

.job-application [data-validate] .form-field .question {
	grid-row: 1 / span 2;
}

.job-application .form-field .required {
    grid-column: 2 / span 1;
	grid-row: 1;
}

.job-application .form-field .answer {
    grid-column: 2 / span 1;
}

.job-application .form-row.file-upload .button.remove {
	color: var(--grey);
	transition: none;
}

.job-application .form-row.file-upload .button.remove:is(:hover, :focus-visible) {
	background: none;
	color: var(--red-accessible);
}

.job-application .form-row.file-upload .button.remove:is(:hover, :focus-visible):before {
	background: var(--red-accessible);
}

.job-application fieldset legend {
	float: left;
	width: calc(50% - 0.5rem);
}

.job-application.review-and-submit .form-flex fieldset legend {
	float: none;
	width: 100%;
}

.job-application fieldset>.answer {
	float: right;
	width: calc(50% - 0.5rem);
}

.job-application .field-group>fieldset>legend {
	float: none;
	width: 100%;
}

.job-application .flexible-row {
	display: grid;
	gap: 1em;
	grid-template-columns: 1fr 1fr;
}

.job-application .form-actions {
	display: flex;
	flex-direction: column;
	flex-shrink: 0;
	gap: 1.25em;
	max-width: 22.0625rem;
	order: 2;
	position: sticky;
	top: 6.5em;
	width: 100%;
}

.job-application .form-actions .alert-danger {
	margin: 0;
}

.job-application .form-actions [type=submit] {
	order: 1;
	justify-content: center;
}

.job-application .form-actions .white.icon.arrow.before {
	order: 2;
}

#toggle-page-nav {
	justify-content: space-between;
	order: 2;
	padding: 0 1em;
}

.form-actions #toggle-page-nav {
	width: 100%;
}

#toggle-page-nav:is(:hover, :focus) {
	box-shadow: 0 0 0 1px var(--grey);
}

.job-application .error-pages {
	max-width: max-content;
}

.job-application .error-pages li a:is(:hover, :focus) {
	background: var(--red-accessible);
	border-color: var(--red-accessible);
	color: #fff;
}

.job-application .error-pages li a:is(:hover, :focus):before {
	background: #fff;
}

.job-application h2.accepted-cards:after {
	width: 15rem;
}

/* View submitted application */
.view-submission main .wrap {
	max-width: 70rem;
}

.form-answers .form-row {
	align-content: start;
	align-items: start;
	display: grid;
	gap: 2em;
	grid-template-columns: 1.5fr 1fr;
	justify-content: start;
	padding: 0.75em 1em;
}

.form-answers .form-row:is(:hover, :focus) {
	box-shadow: inset 0 0 0 1px var(--brand-color);
}





/* 900px */
@media screen and (max-width: 56.25em) {

	.job-view .job-apply,
	.job-application .form-actions {
		max-width: 17rem;
		top: 5.5em;
	}

	.job-application .page-header .progress {
		min-width: 17rem;
	}

	.job-view .job-apply .important-details .button {
		padding-left: 1em;
		padding-right: 1em;
	}

	.job-view .job-apply .grid-row {
		display: block;
	}

	.job-view .job-apply .grid-row span {
		display: block;
	}

	.job-application .flexible-row {
		grid-template-columns: 1fr 12.5rem;
	}

}



@media print {
	body {
		font-size: 12px;
	}

	#content h2 {
		font-size: 14px !important;
		margin: 0 0 5px !important;
	}

	#content hr {
		border-color: #666;
	}

	#content .form-answers .form-row {
		align-content: start;
		align-items: start;
		border-radius: 0;
		display: grid;
		gap: 2em;
		grid-template-columns: 1.5fr 1fr;
		justify-content: start;
		padding: 0;
	}

	#content .form-answers .form-row+.form-row {
		padding-top: 5px;
		border-top: 1px dotted #666;
		margin-top: 5px;
	}

	.Disclaimer {
		padding: 5px 0 0;
		border: 0;
		border-top: 1px solid #666;
		font-style: italic;
	}

}